Index: CMake/options.cmake
===================================================================
--- CMake/options.cmake	(revision 10696)
+++ CMake/options.cmake	(working copy)
@@ -299,6 +299,12 @@
 endif(OPTION_USE_XDBE AND HAVE_XDBE_H)
 
 #######################################################################
+if(NOT CMAKE_VERSION VERSION_LESS 3.0.0)	# prior to CMake 3.0 this feature was buggy
+	option(CMAKE_SUPPRESS_REGENERATION "supress rules to re-run CMake on rebuild" OFF)
+	mark_as_advanced(CMAKE_SUPPRESS_REGENERATION)
+endif(NOT CMAKE_VERSION VERSION_LESS 3.0.0)
+
+#######################################################################
 # add several libraries (STR #3011)
 # FIXME: libraries may need reordering, and this version does not yet
 # correctly support static linking and local zlib, png, and jpeg libs.
